[Debian-tex-commits] SVN tex-common commit + diffs: r2975 - tex-common/trunk/scripts

Frank Küster frank at alioth.debian.org
Wed Jun 20 11:47:05 UTC 2007


Author: frank
Date: 2007-06-20 11:47:05 +0000 (Wed, 20 Jun 2007)
New Revision: 2975

Modified:
   tex-common/trunk/scripts/debianize-updmap
Log:
logic fix...


Modified: tex-common/trunk/scripts/debianize-updmap
===================================================================
--- tex-common/trunk/scripts/debianize-updmap	2007-06-20 11:46:48 UTC (rev 2974)
+++ tex-common/trunk/scripts/debianize-updmap	2007-06-20 11:47:05 UTC (rev 2975)
@@ -68,13 +68,14 @@
   done
   IFS="$OLDIFS"
   # still empty?  Pick one
-  if [ -z "$defaultuserdir" ] && [ $count -eq 1 ]; then
-    defaultuserdir="$cnfdir/updmap.d"
-  else
-    echo "TEXMFCONFIG contains more than one directory, and none of them"
-    echo "already contains a updmap.d/ subdirectory."
-    echo "I don't know how to proceed here, stopping."
-    return
+  if [ -z "$defaultuserdir" ]; then
+    if [ $count -eq 1 ]; then
+      defaultuserdir="$cnfdir/updmap.d"
+    else
+      echo "TEXMFCONFIG contains more than one directory, and none of them" >&2
+      echo "already contains a updmap.d/ subdirectory." >&2
+      return
+    fi
   fi
 
   /usr/share/texmf/web2c/mktexdir $defaultuserdir
@@ -244,6 +245,10 @@
 
   # create a copy of that file in the user dir
   debianuserdir=`FindDebianUserdir`
+  if [ -z "$debianuserdir" ]; then
+    echo "I don't know how to proceed here, stopping." >&2
+    exit 1
+  fi
   newdebCnfFile="$debianuserdir/`basename $debCnfFile`"
   verboseMsg "Not allowed to handle $map in $debCnfFile."
   verboseMsg "Creating copy in $debianuserdir instead."
@@ -346,10 +351,14 @@
     DebCnfFile=`pickLocalFile $mapName /etc/texmf/updmap.d`
   else
     debianuserdir=`FindDebianUserdir`
+    if [ -z "$debianuserdir" ]; then
+      echo "I don't know how to proceed here, stopping." >&2
+      exit 1
+    fi
     test -w $debianuserdir || (
       echo "Target directory $debianuserdir not writable."
       echo "Exiting"
-      exit 0
+      exit 1
     )
     DebCnfFile=`pickLocalFile $mapName $debianuserdir`
   fi




More information about the Debian-tex-commits mailing list